biterp

Get quote by ID

GET
/quotes/{id}
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/quotes/{id}"
{
  "id": "string",
  "reference_code": "string",
  "product_type": "goods",
  "status": "pending",
  "customer_id": "string",
  "quote_date": "2019-08-24",
  "valid_until": "2019-08-24",
  "salesperson_name": "string",
  "estimated_delivery_date": "2019-08-24",
  "description": "string",
  "subtotal": "1500.000000",
  "discount_amount": "0.000000",
  "discount_rate": "10.000000",
  "total_discount": "0.000000",
  "total": "1500.000000",
  "metadata": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "customer": {
    "id": "string",
    "type": "string",
    "tax_id": "string",
    "tax_id_type": "CPF",
    "legal_name": "string",
    "trade_name": "string",
    "website": "string",
    "address_line1": "string",
    "address_line2": "string",
    "city": "string",
    "state": "string",
    "postal_code": "string",
    "country_code": "string",
    "is_blocked": true,
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "items": [
    {
      "id": "string",
      "quote_id": "string",
      "item_description": "string",
      "product_id": "string",
      "quantity": "2.000000",
      "unit_price": "100.000000",
      "discount_amount": "0.000000",
      "subtotal": "200.000000",
      "total": "200.000000",
      "position": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "product": {
        "id": "string",
        "reference_code": "string",
        "name": "string",
        "description": "string",
        "tags": [
          "string"
        ],
        "type": "goods",
        "sale_price": "99.900000",
        "image_url": "string",
        "is_blocked": true,
        "metadata": {},
        "unit_of_measurement": {
          "id": "string",
          "code": "string",
          "symbol": "string"
        },
        "br_data": {
          "ncm_code": "string",
          "cest_code": "string",
          "origin": "string",
          "extipi": "string",
          "ibs_cbs_cst": "string",
          "ibs_cbs_classification": "string",
          "ibs_cbs_operation_indicator_code": "string",
          "ibs_cbs_is_personal_use": true
        },
        "us_data": {
          "hts_code": "string",
          "schedule_b_code": "string",
          "eccn_code": "string",
          "tax_code": "string",
          "sales_tax_category": "string",
          "country_of_origin": "string",
          "upc_code": "string"
        },
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    }
  ]
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}